Package net.dona.doip.client

# Class DoipException

java.lang.Object
java.lang.Throwable
java.lang.Exception
net.dona.doip.client.DoipException

All Implemented Interfaces:
  `Serializable`

public class DoipException extends Exception
An exception thrown by `DoipClient` when something goes wrong such as an unexpected status code returned for an operation.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DoipException(com.google.gson.JsonElement response)`
  `DoipException(String message)`
  `DoipException(String statusCode, com.google.gson.JsonElement response)`
  `DoipException(String statusCode, com.google.gson.JsonElement response, Throwable cause)`
  `DoipException(String statusCode, String message)`
  `DoipException(String statusCode, String message, Throwable cause)`
  `DoipException(Throwable cause)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.google.gson.JsonElement`
  `getResponse()`
  `String`
  `getStatusCode()`
  Gets the status code returned by the operation, if available.
  `static String`
  `messageForResponse(com.google.gson.JsonElement response)`
  `static com.google.gson.JsonElement`
  `responseForMessage(String message)`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DoipException

    public DoipException(String message)

  - ### DoipException

    public DoipException(com.google.gson.JsonElement response)

  - ### DoipException

    public DoipException(String statusCode, String message)

  - ### DoipException

    public DoipException(String statusCode, com.google.gson.JsonElement response)

  - ### DoipException

    public DoipException(Throwable cause)

  - ### DoipException

    public DoipException(String statusCode, String message, Throwable cause)

  - ### DoipException

    public DoipException(String statusCode, com.google.gson.JsonElement response, Throwable cause)

- ## Method Details

  - ### getStatusCode

    public String getStatusCode()
    Gets the status code returned by the operation, if available.
    Returns:
      the status code returned by the operation, if available

  - ### getResponse

    public com.google.gson.JsonElement getResponse()

  - ### messageForResponse

    public static String messageForResponse(com.google.gson.JsonElement response)

  - ### responseForMessage

    public static com.google.gson.JsonElement responseForMessage(String message)